<?php
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'../config.php';
$align='left';
$title='Калькулятор';
aut();
head();
who_add(0,'enter');


if (empty($act)){


if ($ver!='wml')echo "<form action=\"calc?$ses&amp;act=calc\" method=\"post\">";

echo 'Первое число:<br/>';

echo "<input type=\"text\" name=\"first\"/><br/>";

echo 'Второе число (Степень, процент):<br/>';

echo "<input type=\"text\" name=\"second\"/><br/>";

echo 'Действие:<br/>';

echo "<select name=\"action\">
<option value=\"sum\">Сложить</option>
<option value=\"min\">Вычесть</option>
<option value=\"mult\">Умножить</option>
<option value=\"dev\">Разделить</option>
<option value=\"stepen\">Возвести в степень</option>
<option value=\"procent\">Процент от числа</option>
<option value=\"koren\">Корень</option>
</select><br/><br />";
if ($ver!='wml'){
echo "<input class=\"ibutton\" type=\"submit\" value=\"Считать\"/></form>";

}else{
echo "<anchor>Считать<go href=\"calc?$ses&amp;act=calc\" method=\"post\">
<postfield name=\"first\" value=\"$(first)\"/>
<postfield name=\"second\" value=\"$(second)\"/>
<postfield name=\"action\" value=\"$(action)\"/>
</go></anchor><br/>";
}

}else{
$first = check($_POST['first']);
$second= check($_POST['second']);
$action= check($_POST['action']);

$first = doubleval($first);
$second = doubleval($second);

if ($action == "sum") {$result = $first+$second;$itog = $first.' + '.$second.' = '.$result;}
if ($action == "min") {$result = $first-$second;$itog = $first.' - '.$second.' = '.$result;}
if ($action == "mult") {$result = $first*$second;$itog = $first.' * '.$second.' = '.$result;}
if ($action == "dev") {
if ($second !== "0") {
$result=$first/$second;$itog = $first.' / '.$second.' = '.$result;
} else {
$itog = 'На ноль делить нельзя!';
}
}
if ($action == "procent") {$result = $first*($second/100);$itog = $first.'% от '.$second.' = '.$result;}
if ($action == "stepen") {$result = pow($first, $second);$itog = $second.'-я степень числа '.$first.' = '.$result;}
if ($action == "koren") {$result = pow($first,0.5);$itog = 'Корень '.$second.'-й степени от '.$first.' = '.$result;}
echo $itog.'<br/>';

}
echo '<br />';
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>